These URL's retrieve the details of the user with the user id passed as parameter.
Resource URL
GET /user/ {userId}:
This URL is to retrieve the details of user with the given user id.
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Unique identifier of an user | String | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| This field contains the user id and password details of the user. | Object |
| This field contains general details like name, contact, etc. for a user. | Object |
| This field contains the details about the domain and role. | Object |
| This field contains the details of the dash boards assigned to the user. | Object |
Details of userCredentials:
Field Name | Description | Data Type |
|---|---|---|
| Unique identifier for a user | String |
| Secret key required to login. Its value will not be visible as it is confidential and should only be known to the user. | String |
| Configured authentication protocol string, such as | String |
| RADIUS ID used for authenticating settings against the RADIUS server. | String |
| LDAP distinguished name used for LDAP authentication. Returns | String |
| OpenID Connect (OIDC) identifier for the account, or | String |
Details of userDetails:
Field Name | Description | Data Type |
|---|---|---|
| First and last name of the user | String |
| Email address of the user | String |
| Company of the user | String |
| Contact number of the user | String |
| Address of the user | Object |
| State to which the user belongs to | String |
| Country to which the user belongs to | String |
Details of address:
Field Name | Description | Data Type |
|---|---|---|
| Address line 1 - Contains one segment of the user's address | String |
| Address line 2 - Contains other segment of the user's address | String |
Details of roleAssignment:
Field Name | Description | Data Type |
|---|---|---|
| The domain in which the user was created | String |
| This field contains the information regarding the role assigned to the user. It can have any value from the list of roles already defined in the Manager, i.e.
| String |
Details of dashBoardAssignment:
Field Name | Description | Data Type |
|---|---|---|
| List of all the dashboards to be assigned to user | Array |
Example
Request
GET https://<NSM_IP>/sdkapi/user/1
Response
{
"userCredentials": {
"loginID": "networkuser",
"oldPassword": null,
"password": "",
"authenticationType": "2.1",
"radiusId": "networkuser",
"ldapId": null,
"oidcId": null
},
"userDetails": {
"firstAndLastName": "Network User",
"email": "Network User Email",
"company": "Example Company, Inc.",
"phone": "",
"address": {
"address1": "",
"address2": ""
},
"state": "California",
"country": "United States"
},
"roleAssignment": {
"domainId": 101,
"role": "Report Generator"
},
"dashBoardAssignment": null
}Error Information
Following error code is returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 5110 | Invalid user id |